.flavor {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  
    img {
      width: 44px;
      height: 44px;
      border: none;
    }
  
    span.roll-flavor {
      font-size: 1rem;
      font-weight: bold;
      text-align: center;
      padding: 0 10px;
      flex-grow: 1;
      font-variant: small-caps;
    }
  
  }
  
  .roll-result {
    width: 100%;
    padding: 5px;
    border: 1px solid black;
    border-radius: 5px;
    background-color: rgba(255, 222, 180, 0.2);

    body.starwars & {
      background-color: rgba(0, 0, 0, 0.2);
    }
  
    p {
      padding: 0;
      margin: 0;
    }

    .details {
      display: flex;
      flex-direction: row;
      justify-content: space-evenly;
      align-items: center;

      .detail {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 0 10px;
        text-align: center;
        width: 33%;

        span {
          width: 100%;
          text-align: center;
        }

        span:first-child {
          font-weight: bold;
          border-bottom: 1px solid #f5deb3;
          font-variant: small-caps;
          padding-bottom: 5px;
        }

        span:last-child {
          padding-top: 5px;
          font-size: 1.2em;
        }

      }
    }
  
    h2 {
      font-weight: bold;
      text-align: center;
      padding: 1rem 0;
      flex-grow: 1;
      text-decoration: none;
      border: none;
      margin: 0;
    }
  
    hr {
      margin: 5px 0;
      border: none;
      border-top: 1px solid wheat;
    }
  
    &.critical {
      background-color: rgba(0, 255, 0, 0.15);
      border: 1px solid rgb(0, 255, 0, 1);
  
      hr {
        border-top: 1px solid rgb(0, 255, 0, 1);
      }
    }
  
    &.fumble {
      background-color: rgba(255, 0, 0, 0.15);
      border: 1px solid rgb(255, 0, 0, 1);
  
      hr {
        border-top: 1px solid rgb(255, 0, 0, 1);
      }
    }
  
    .dice-tooltip {
  
      .dice-rolls {
        text-align: center;
        font-size: 2em !important;
        display: flex;
        flex-direction: row;
        justify-content: center;
  
        * {
          font-size: 1.5rem !important;
        }
  
        .roll.not-dice {
          background-image: none !important;
          min-width: 10px;
        }
      }
    }
  }

  .roll-type {
    text-align: right;
    text-transform: uppercase;
  }